#-----------------------------------------------------------------------------
# Fake Grasp
# June 22,2004
# Copyright (c) 2004, David G. Drumright [ockham]
#-----------------------------------------------------------------------------
import poser
import string
scene=poser.Scene()
SelActor=scene.CurrentActor()
ActorsHand=SelActor.Parent()
for F in range(scene.NumFrames()):
    scene.SetFrame(F)
    SelBend=SelActor.ParameterByCode(poser.kParmCodeZROT).Value()
    for Joint1 in ActorsHand.Children(): # Outer loop takes the first joint of each.
        Name=Joint1.Name()
        UpName=string.upper(Name)
        if not string.count(UpName,"THUMB"):
            if not string.count(UpName,"CAMERA"):
                P=Joint1.ParameterByCode(poser.kParmCodeZROT)
                P.SetValue(SelBend)
                P.AddKeyFrame()
                for Joint2 in Joint1.Children():
                    P=Joint2.ParameterByCode(poser.kParmCodeZROT)
                    P.SetValue(SelBend)
                    P.AddKeyFrame()
                    for Joint3 in Joint2.Children():
                        P=Joint3.ParameterByCode(poser.kParmCodeZROT)
                        P.SetValue(SelBend)
                        P.AddKeyFrame()
scene.SetFrame(0) # For politeness
