#-----------------------------------------------------------------------------
# Fake Spread
# June 22,2004
# Copyright (c) 2004, David G. Drumright [ockham]
#-----------------------------------------------------------------------------
import poser
import string

scene=poser.Scene()
SelActor=scene.CurrentActor()
# In this case we can't just assume the selected is the index.
Name=SelActor.Name()
UpName=string.upper(Name)
if not string.count(UpName,"INDEX"): raise "Must select Index 1 before using FakeSpread"

ActorsHand=SelActor.Parent()
for F in range(scene.NumFrames()):
    scene.SetFrame(F)
    SelVal=SelActor.ParameterByCode(poser.kParmCodeYROT).Value()
    for Joint1 in ActorsHand.Children(): # Outer loop takes the first joint of each.
        # Modulate the side-side value of each.
        # The Mid gets half of the index; Ring gets -.5 of index; Pinky gets -1 of index.
        Name=Joint1.Name()
        UpName=string.upper(Name)
        if   string.count(UpName,"MID"):
            P=Joint1.ParameterByCode(poser.kParmCodeYROT)
            P.SetValue(SelVal * 0.5)
            P.AddKeyFrame()
        elif string.count(UpName,"RING"):
            P=Joint1.ParameterByCode(poser.kParmCodeYROT)
            P.SetValue(SelVal * -0.5)
            P.AddKeyFrame()
        elif string.count(UpName,"PINKY"):
            P=Joint1.ParameterByCode(poser.kParmCodeYROT)
            P.SetValue(SelVal * -1.0)
            P.AddKeyFrame()
scene.SetFrame(0) # For politeness
